Trading

trade-accountBalance

Lấy số dư tài khoản giao dịch.

GET
/api/v3/trading/accountBalance

Authorization

Bearer
AuthorizationBearer <token>

Nhập JWT token theo định dạng Bearer <token>.

In: header

Header Parameters

Content-Typestringrequired

Định dạng nội dung request body. Chủ yếu là application/json.

User-Agentstringoptional

Thông tin client gửi request.

Accept-Languagestringoptional

Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc định là en

Query Parameters

clientIdstringrequired

Tài khoản 6 số định danh khách hàng tại SSI. Nếu số tài khoản là 003C123888 thì clientId = 123888

accountNostringoptional

Tài khoản giao dịch cần lấy số dư.

Response Headers

X-RATELIMIT-LIMITstringoptional

Giới hạn số request trong chu kỳ.

X-RATELIMIT-REMAININGstringoptional

Số request còn lại trong chu kỳ hiện tại.

X-RATELIMIT-RESETstringoptional

Thời điểm reset giới hạn request.

Response Body

application/json

application/json

curl -X GET "https://api.ssi.com.vn/api/v3/trading/accountBalance?clientId=string" \  -H "Content-Type: application/json"

Success

{
  "equity": [
    {
      "accountNo": "string",
      "accountBalance": 0.1,
      "totalDebt": 0.1,
      "interestLoan": 0.1,
      "overdueFeeLoan": 0.1,
      "withdrawable": 0.1,
      "onHoldCash": 0.1,
      "sellUnmatched": 0.1,
      "sellT0": 0.1,
      "sellT1": 0.1,
      "sellT2": 0.1,
      "buyUnmatched": 0.1,
      "buyT0": 0.1,
      "buyT1": 0.1,
      "buyT2": 0.1,
      "advancedCashT0": 0.1,
      "advancedCashT1": 0.1,
      "holdSubscription": 0.1,
      "dividend": 0.1
    }
  ],
  "derivatives": [
    {
      "accountNo": "string",
      "accountBalance": 0.1,
      "fee": 0.1,
      "commission": 0.1,
      "interest": 0.1,
      "extInterest": 0.1,
      "loan": 0.1,
      "deliveryAmount": 0.1,
      "floatingPL": 0.1,
      "tradingPL": 0.1,
      "totalPL": 0.1,
      "withdrawable": 0.1,
      "cashSSI": 0.1,
      "validNonCashSSI": 0.1,
      "withdrawableSSI": 0.1,
      "cashVSDC": 0.1,
      "validNonCashVSDC": 0.1,
      "withdrawableVSDC": 0.1,
      "additionalProperties": false
    }
  ]
}

Yêu cầu không hợp lệ.

{
  "code": "400",
  "msg": "Invalid request"
}